Bug 473432 - Wifi connection problem with rt2500pci
Wifi connection problem with rt2500pci
Status: CLOSED DUPLICATE of bug 457441
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 09:05 EST by Brent R Brian
Modified: 2009-02-14 12:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-14 12:22:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent R Brian 2008-11-28 09:05:24 EST
The same problem occurred with Fedora 9, so I copied the SUMMARY to make them easier to find.

The card worked fine with Fedora 9 (out of the box), but a later update to 2.9.25 (or so) broke this driver and it has been broken ever since.  I was waiting for Fedora 10 in hopes that it would be fixed there ... but ...

It loads the driver, but, cannot connect to the router.

*** WEP 40/128 bit
*** key index 1 (13 byte hex)
*** shared key

I just reloaded the machine with Fedora 10.
Comment 1 Vaclav "sHINOBI" Misek 2008-12-22 06:34:19 EST
Can you please provide the log from /var/log/messages? It's probably duplicate of the Bug #457441.
Comment 2 Brent R Brian 2008-12-22 06:53:29 EST
I will check /var/log/messages

I get the impression that it is in the handling of the "connection to the router", it may be just sending the "connect data" to the driver that is "broken".

The LED comes on and blinks when transmitting.  It asks for authentication data (key pattern, index) and blinks more, it just fails to link.

This was working in early 9, but was broken by an update and has stayed broken.
Comment 3 Brent R Brian 2008-12-25 18:01:05 EST
17:48:01 kernel: pccard: CardBus card inserted into slot 0
17:48:01 kernel: rt2500pci 0000:02:00.0: enabling device (0000 -> 0002)
17:48:01 kernel: Registered led device: rt2500pci-phy1:radio
17:48:03 NetworkManager: <info>  wlan0: driver is 'rt2500pci'.
17:48:03 NetworkManager: <info>  wlan0: driver supports SSID scans (scan_capa 0x01).
17:48:03 NetworkManager: <info>  Found new 802.11 WiFi device 'wlan0'.
17:48:03 NetworkManager: <info>  (wlan0): exported as /org/freedesktop/Hal/devices/net_00_13_d4_6f_13_f4_0
17:48:07 NetworkManager: <info>  (wlan0): device state change: 1 -> 2
17:48:07 NetworkManager: <info>  (wlan0): bringing up device.
17:48:07 kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
17:48:07 NetworkManager: <info>  (wlan0): preparing device.
17:48:07 NetworkManager: <info>  (wlan0): deactivating device (reason: 2).
17:48:07 NetworkManager: <info>  (wlan0): device state change: 2 -> 3
17:48:07 NetworkManager: <info>  (wlan0): supplicant interface state:  starting -> ready
17:48:07 NetworkManager: <info>  Activation (wlan0) starting connection 'Auto BMGEN'
17:48:07 NetworkManager: <info>  (wlan0): device state change: 3 -> 4
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
17:48:07 NetworkManager: <info>  (wlan0): device state change: 4 -> 5
17:48:07 NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto BMGEN' has security, but secrets are required.
17:48:07 NetworkManager: <info>  (wlan0): device state change: 5 -> 6
17:48:07 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
17:48:12 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> inactive
17:48:27 NetworkManager: <info>  (wlan0): supplicant connection state:  inactive -> scanning
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
17:48:32 NetworkManager: <info>  (wlan0): device state change: 6 -> 4
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
17:48:32 NetworkManager: <info>  (wlan0): device state change: 4 -> 5
17:48:32 NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto BMGEN' has security, and secrets exist.  No new secrets needed.
17:48:32 NetworkManager: <info>  Config: added 'ssid' value 'BMGEN'
17:48:32 NetworkManager: <info>  Config: added 'scan_ssid' value '1'
17:48:32 NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'
17:48:32 NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'
17:48:32 NetworkManager: <info>  Config: added 'wep_key0' value '<omitted>'
17:48:32 NetworkManager: <info>  Config: added 'wep_tx_keyidx' value '0'
17:48:32 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
17:48:32 NetworkManager: <info>  Config: set interface ap_scan to 1
17:48:32 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
17:48:33 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:48:33 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:48:47 NetworkManager: <info>  wlan0: link timed out.
17:48:53 NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
17:48:53 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:48:54 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:48:57 NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
17:48:57 NetworkManager: <info>  (wlan0): device state change: 5 -> 9
17:48:57 NetworkManager: <info>  Activation (wlan0) failed for access point (BMGEN)
17:48:57 NetworkManager: <info>  Marking connection 'Auto BMGEN' invalid.
17:48:57 NetworkManager: <info>  Activation (wlan0) failed.
17:48:57 NetworkManager: <info>  (wlan0): device state change: 9 -> 3
17:48:57 NetworkManager: <info>  (wlan0): deactivating device (reason: 0).
17:49:43 NetworkManager: <info>  Activation (wlan0) starting connection 'Auto BMGEN'
17:49:43 NetworkManager: <info>  (wlan0): device state change: 3 -> 4
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
17:49:43 NetworkManager: <info>  (wlan0): device state change: 4 -> 5
17:49:43 NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto BMGEN' has security, but secrets are required.
17:49:43 NetworkManager: <info>  (wlan0): device state change: 5 -> 6
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
17:49:43 NetworkManager: <info>  (wlan0): device state change: 6 -> 4
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
17:49:43 NetworkManager: <info>  (wlan0): device state change: 4 -> 5
17:49:43 NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto BMGEN' has security, and secrets exist.  No new secrets needed.
17:49:43 NetworkManager: <info>  Config: added 'ssid' value 'BMGEN'
17:49:43 NetworkManager: <info>  Config: added 'scan_ssid' value '1'
17:49:43 NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'
17:49:43 NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'
17:49:43 NetworkManager: <info>  Config: added 'wep_key0' value '<omitted>'
17:49:43 NetworkManager: <info>  Config: added 'wep_tx_keyidx' value '0'
17:49:43 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
17:49:43 NetworkManager: <info>  Config: set interface ap_scan to 1
17:49:43 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:49:44 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:50:04 NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
17:50:04 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:50:05 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:50:08 NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
17:50:08 NetworkManager: <info>  (wlan0): device state change: 5 -> 6
17:50:08 NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets
17:50:08 NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
17:50:23 NetworkManager: <info>  wlan0: link timed out.
17:50:26 dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 6
17:50:26 dhclient: send_packet: No such device or address
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
17:50:27 NetworkManager: <info>  (wlan0): device state change: 6 -> 4
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
17:50:27 NetworkManager: <info>  (wlan0): device state change: 4 -> 5
17:50:27 NetworkManager: <info>  Activation (wlan0/wireless): connection 'Auto BMGEN' has security, and secrets exist.  No new secrets needed.
17:50:27 NetworkManager: <info>  Config: added 'ssid' value 'BMGEN'
17:50:27 NetworkManager: <info>  Config: added 'scan_ssid' value '1'
17:50:27 NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'
17:50:27 NetworkManager: <info>  Config: added 'auth_alg' value 'OPEN'
17:50:27 NetworkManager: <info>  Config: added 'wep_key0' value '<omitted>'
17:50:27 NetworkManager: <info>  Config: added 'wep_tx_keyidx' value '0'
17:50:27 NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
17:50:27 NetworkManager: <info>  Config: set interface ap_scan to 1
17:50:27 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:50:28 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:50:32 dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 14
17:50:32 dhclient: send_packet: No such device or address
17:50:46 dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 11
17:50:46 dhclient: send_packet: No such device or address
17:50:48 NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
17:50:48 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:50:49 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> associating
17:50:52 NetworkManager: <info>  Activation (wlan0/wireless): association took too long.
17:50:52 NetworkManager: <info>  (wlan0): device state change: 5 -> 6
17:50:52 NetworkManager: <info>  Activation (wlan0/wireless): asking for new secrets
17:50:52 NetworkManager: <info>  (wlan0): supplicant connection state:  associating -> disconnected
17:50:57 dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 18
17:50:57 dhclient: send_packet: No such device or address
17:50:57 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
17:51:07 NetworkManager: <info>  wlan0: link timed out.
17:51:09 NetworkManager: <info>  (wlan0): supplicant connection state:  scanning -> disconnected
17:51:15 dhclient: DHCPDISCOVER on wlan0 to 255.255.255.255 port 67 interval 12
17:51:15 dhclient: send_packet: No such device or address
17:51:24 NetworkManager: <info>  wlan0: link timed out.
17:51:27 dhclient: No DHCPOFFERS received.
17:51:27 dhclient: No working leases in persistent database - sleeping.
17:52:27 NetworkManager: <info>  (wlan0): supplicant connection state:  disconnected -> scanning
Comment 4 Ivan Virgili 2009-01-15 16:57:22 EST
Same problem.. kernel 2.6.27.9-159.fc10.i686

Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) starting connection 'Auto #####'
Jan 15 21:52:26  NetworkManager: <info>  (wlan1): device state change: 3 -> 4
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Jan 15 21:52:26  NetworkManager: <info>  (wlan1): device state change: 4 -> 5
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1/wireless): access point 'Auto #####' has security, but secrets are required.
Jan 15 21:52:26  NetworkManager: <info>  (wlan1): device state change: 5 -> 6
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) scheduled...
Jan 15 21:52:26  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) started...
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): device state change: 6 -> 4
Jan 15 21:52:27  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) scheduled...
Jan 15 21:52:27  NetworkManager: <info>  Activation (wlan1) Stage 1 of 5 (Device Prepare) complete.
Jan 15 21:52:27  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) starting...
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): device state change: 4 -> 5
Jan 15 21:52:27  NetworkManager: <info>  Activation (wlan1/wireless): connection 'Auto #####' has security, and secrets exist.  No new secrets needed.
Jan 15 21:52:27  NetworkManager: <info>  Config: added 'ssid' value '#####'
Jan 15 21:52:27  NetworkManager: <info>  Config: added 'scan_ssid' value '1'
Jan 15 21:52:27  NetworkManager: <info>  Config: added 'key_mgmt' value 'WPA-PSK'
Jan 15 21:52:27  NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Jan 15 21:52:27  NetworkManager: <info>  Activation (wlan1) Stage 2 of 5 (Device Configure) complete.
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> disconnected
Jan 15 21:52:27  NetworkManager: <info>  Config: set interface ap_scan to 1
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  disconnected -> scanning
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  scanning -> associating
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  associating -> associated
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  associated -> 4-way handshake
Jan 15 21:52:27  NetworkManager: <info>  (wlan1): supplicant connection state:  4-way handshake -> group handshake
Jan 15 21:52:28  NetworkManager: <info>  (wlan1): supplicant connection state:  group handshake -> completed
Jan 15 21:52:28  NetworkManager: <info>  Activation (wlan1/wireless) Stage 2 of 5 (Device Configure) successful.  Connected to wireless network '#####'.
Jan 15 21:52:28  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) scheduled.
Jan 15 21:52:28  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) started...
Jan 15 21:52:28  NetworkManager: <info>  (wlan1): device state change: 5 -> 7
Jan 15 21:52:28  NetworkManager: <info>  Activation (wlan1) Beginning DHCP transaction.
Jan 15 21:52:28  NetworkManager: <info>  dhclient started with pid 6184
Jan 15 21:52:28  NetworkManager: <info>  Activation (wlan1) Stage 3 of 5 (IP Configure Start) complete.
Jan 15 21:52:28  dhclient: Internet Systems Consortium DHCP Client 4.0.0
Jan 15 21:52:28  dhclient: Copyright 2004-2007 Internet Systems Consortium.
Jan 15 21:52:28  dhclient: All rights reserved.
Jan 15 21:52:28  dhclient: For info, please visit http://www.isc.org/sw/dhcp/
Jan 15 21:52:28  dhclient: 
Jan 15 21:52:28  NetworkManager: <info>  DHCP: device wlan1 state changed normal exit -> preinit
Jan 15 21:52:28  dhclient: Listening on LPF/wlan1/00:0f:ea:5a:66:60
Jan 15 21:52:28  dhclient: Sending on   LPF/wlan1/00:0f:ea:5a:66:60
Jan 15 21:52:28  dhclient: Sending on   Socket/fallback
Jan 15 21:52:32  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 4
Jan 15 21:52:36  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 7
Jan 15 21:52:43  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 15
Jan 15 21:52:58  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 13
Jan 15 21:53:11  dhclient: DHCPDISCOVER on wlan1 to 255.255.255.255 port 67 interval 17
Jan 15 21:53:13  NetworkManager: <info>  Device 'wlan1' DHCP transaction took too long (>45s), stopping it.
Jan 15 21:53:13  NetworkManager: <info>  wlan1: canceled DHCP transaction, dhcp client pid 6184
Jan 15 21:53:13  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) scheduled...
Jan 15 21:53:13  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) started...
Jan 15 21:53:13  NetworkManager: <info>  (wlan1): device state change: 7 -> 9
Jan 15 21:53:13  NetworkManager: <info>  Activation (wlan1) failed for access point (#####)
Jan 15 21:53:14  NetworkManager: <info>  Marking connection 'Auto #####' invalid.
Jan 15 21:53:14  NetworkManager: <info>  Activation (wlan1) failed.
Jan 15 21:53:14  NetworkManager: <info>  Activation (wlan1) Stage 4 of 5 (IP Configure Timeout) complete.
Jan 15 21:53:14  NetworkManager: <info>  (wlan1): device state change: 9 -> 3
Jan 15 21:53:14  NetworkManager: <info>  (wlan1): deactivating device (reason: 0).
Comment 5 Brent R Brian 2009-01-15 19:50:31 EST
I fired it up the other day, and when the screen came up to ask for credentials, I saw it had the ************ for the password, so, I clicked on "show password", it was not the HEX value, it was the ENCRYPTED value ... I wonder if it is trying to ENCRYPT and ENCRYPTED password ?
Comment 6 Brent R Brian 2009-02-14 12:22:46 EST

*** This bug has been marked as a duplicate of bug 457441 ***

Note You need to log in before you can comment on or make changes to this bug.